Skip to main content
List External Companies
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/companies \
  --header 'Authorization: Bearer <token>'
{
  "count": 2,
  "results": [
    {
      "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
      "name": "TechWolf",
      "vat": "BE0702852201",
      "location": {
        "lat": 51.0216707,
        "lng": 2.6887328
      }
    },
    {
      "external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
      "name": "Example BVBA",
      "vat": "BE0702852201",
      "location": {
        "lat": 50.0216707,
        "lng": 3.6887328
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer
default:100

The maximal number of entities returned, ordered by the last_updated field and external_id.

Required range: 1 <= x <= 200
Example:

50

offset
integer
default:0

The applied offset for returned entities, results starting from offset up to offset + limit.

Required range: x >= 0
include
enum<string>[]

Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
custom_properties
Example:
["custom_properties"]

Response

OK

count
integer
required

Total number of External Company objects stored inside the system.

Required range: x >= 0
Example:

2

results
External Companies · object[]
required

Subset of External Companies starting from offset up to offset + limit.

Example:
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"name": "TechWolf",
"vat": "BE0702852201",
"location": { "lat": 51.0216707, "lng": 2.6887328 }
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"name": "Example BVBA",
"vat": "BE0702852201",
"location": { "lat": 50.0216707, "lng": 3.6887328 }
}
]